VERSION 6
BEGIN SCHEMATIC
    BEGIN ATTR DeviceFamilyName "virtex5"
        DELETE all:0
        EDITNAME all:0
        EDITTRAIT all:0
    END ATTR
    BEGIN NETLIST
        SIGNAL DCLK_FEED
        SIGNAL SYNC_IN_CLK_FEED
        SIGNAL MCLK_SEL_N
        SIGNAL CLK_LOOP_LOCK
        SIGNAL CLK_CTRL_SYNC
        SIGNAL CLK_CTRL_CS_N
        SIGNAL CLK_CTRL_DATA
        SIGNAL CLK_CTRL_CLK
        SIGNAL ClkDbg(7)
        SIGNAL ClkDbg(6)
        SIGNAL ClkDbg(5)
        SIGNAL ClkDbg(4)
        SIGNAL ClkDbg(3)
        SIGNAL ClkDbg(2)
        SIGNAL ClkDbg(1)
        SIGNAL ClkDbg(0)
        SIGNAL ClkDbg(7:0)
        SIGNAL DCLK_P
        SIGNAL DCLK_N
        SIGNAL DCLK
        SIGNAL TCLK_P
        SIGNAL MCLK_P
        SIGNAL TCLK_N
        SIGNAL MCLK_N
        SIGNAL TCLK_FEED
        SIGNAL MCLK_FEED
        SIGNAL TCLK
        SIGNAL MCLK
        SIGNAL SYNC_CLK_SNS_P
        SIGNAL SYNC_CLK_SNS_N
        SIGNAL SYNC_CLK_SNS_FEED
        SIGNAL SYNC_OUT_CLK
        SIGNAL OCLK_P
        SIGNAL SYNC_IN_CLK_P
        SIGNAL OCLK_N
        SIGNAL SYNC_IN_CLK_N
        SIGNAL OCLK_IN
        SIGNAL OCLK_IN_G
        SIGNAL OCLKX2_N
        SIGNAL OCLKX2
        SIGNAL SELECT_SLAVE_CLK_N
        SIGNAL SELECT_SLAVE_CLK
        SIGNAL BCLK_P
        SIGNAL BCLK_N
        SIGNAL BCLK_FEED
        SIGNAL OCLKX2_FEED
        SIGNAL OEPullUp
        SIGNAL IgnoreClamp
        SIGNAL SYS_CLK
        SIGNAL SYNC_IN_CLK
        SIGNAL ClkWbSysClkIn
        SIGNAL ClkWbResetIn
        SIGNAL ClkWrtEnable
        SIGNAL ClkWbAddr(15:0)
        SIGNAL ClkWbDataIn(31:0)
        SIGNAL ClkWbWrtAck
        SIGNAL ClkWbErrAck
        SIGNAL ClkWbBusy
        SIGNAL ClkWbDataOut(31:0)
        SIGNAL ClkWbStatusIn(31:0)
        SIGNAL ClkWbStatusOut(7:0)
        SIGNAL WE_I
        SIGNAL RST_I
        SIGNAL CLK_I
        SIGNAL STB_I
        SIGNAL ACK_O
        SIGNAL ERR_O
        SIGNAL RTY_O
        SIGNAL DAT_I(31:0)
        SIGNAL TGD_I(3:0)
        SIGNAL DAT_O(31:0)
        SIGNAL TGD_O(3:0)
        SIGNAL ADR_I(15:0)
        SIGNAL CYC_I
        SIGNAL TGC_I(1:0)
        SIGNAL CLK_CTRL_GOE
        SIGNAL CLK_LOCK
        SIGNAL ClkLockDetect
        SIGNAL DheClkMode
        SIGNAL DheIsSlave
        SIGNAL ClkSwitchEnbl
        SIGNAL ClkCfgWrt
        SIGNAL clkCfgLoad
        SIGNAL ClkCfgAddr(3:0)
        SIGNAL ClkCfgData(31:0)
        SIGNAL ModuleSysClk
        SIGNAL ModuleReset
        SIGNAL SYNC_CLK_SEL0
        SIGNAL SYNC_CLK_SEL1
        SIGNAL SYNC_CLK_EN0_N
        SIGNAL SYNC_CLK_EN1_N
        SIGNAL SRC_EQ0
        SIGNAL SNK_EQ1
        SIGNAL SNK_EQ0
        SIGNAL SRC_EQ1
        SIGNAL SyncClkSlct(1)
        SIGNAL SyncClkSlct(0)
        SIGNAL SyncClkSlct(2)
        SIGNAL SyncClkSlct(3)
        SIGNAL SyncOutEq(0)
        SIGNAL SyncOutEq(1)
        SIGNAL SyncInEq(0)
        SIGNAL SyncInEq(1)
        SIGNAL SyncClkSlct(3:0)
        SIGNAL SyncOutEq(1:0)
        SIGNAL SyncInEq(1:0)
        PORT Output MCLK_SEL_N
        PORT Input CLK_LOOP_LOCK
        PORT Output CLK_CTRL_SYNC
        PORT Output CLK_CTRL_CS_N
        PORT Output CLK_CTRL_DATA
        PORT Output CLK_CTRL_CLK
        PORT Output ClkDbg(7:0)
        PORT Input DCLK_P
        PORT Input DCLK_N
        PORT Output DCLK
        PORT Input TCLK_P
        PORT Input MCLK_P
        PORT Input TCLK_N
        PORT Input MCLK_N
        PORT Output TCLK
        PORT Output MCLK
        PORT Input SYNC_CLK_SNS_P
        PORT Input SYNC_CLK_SNS_N
        PORT Output SYNC_OUT_CLK
        PORT Input OCLK_P
        PORT Input SYNC_IN_CLK_P
        PORT Input OCLK_N
        PORT Input SYNC_IN_CLK_N
        PORT Input SELECT_SLAVE_CLK
        PORT Output BCLK_P
        PORT Output BCLK_N
        PORT Output SYS_CLK
        PORT Output SYNC_IN_CLK
        PORT Input WE_I
        PORT Input RST_I
        PORT Input CLK_I
        PORT Input STB_I
        PORT Output ACK_O
        PORT Output ERR_O
        PORT Output RTY_O
        PORT Input DAT_I(31:0)
        PORT Input TGD_I(3:0)
        PORT Output DAT_O(31:0)
        PORT Output TGD_O(3:0)
        PORT Input ADR_I(15:0)
        PORT Input CYC_I
        PORT Input TGC_I(1:0)
        PORT Output CLK_CTRL_GOE
        PORT Output CLK_LOCK
        PORT Output SYNC_CLK_SEL0
        PORT Output SYNC_CLK_SEL1
        PORT Output SYNC_CLK_EN0_N
        PORT Output SYNC_CLK_EN1_N
        PORT Output SRC_EQ0
        PORT Output SNK_EQ1
        PORT Output SNK_EQ0
        PORT Output SRC_EQ1
        BEGIN BLOCKDEF ibufds
            TIMESTAMP 2000 1 1 10 10 10
            LINE N 0 -48 64 -48 
            LINE N 64 -64 128 -32 
            LINE N 128 -32 64 0 
            LINE N 64 0 64 -64 
            LINE N 224 -32 128 -32 
            CIRCLE N 48 -24 64 -8 
            LINE N 0 -16 48 -16 
        END BLOCKDEF
        BEGIN BLOCKDEF bufg
            TIMESTAMP 2000 1 1 10 10 10
            LINE N 64 -64 64 0 
            LINE N 128 -32 64 -64 
            LINE N 64 0 128 -32 
            LINE N 224 -32 128 -32 
            LINE N 0 -32 64 -32 
        END BLOCKDEF
        BEGIN BLOCKDEF fd
            TIMESTAMP 2000 1 1 10 10 10
            RECTANGLE N 64 -320 320 -64 
            LINE N 0 -128 64 -128 
            LINE N 0 -256 64 -256 
            LINE N 384 -256 320 -256 
            LINE N 80 -128 64 -144 
            LINE N 64 -112 80 -128 
        END BLOCKDEF
        BEGIN BLOCKDEF inv
            TIMESTAMP 2000 1 1 10 10 10
            LINE N 0 -32 64 -32 
            LINE N 224 -32 160 -32 
            LINE N 64 -64 128 -32 
            LINE N 128 -32 64 0 
            LINE N 64 0 64 -64 
            CIRCLE N 128 -48 160 -16 
        END BLOCKDEF
        BEGIN BLOCKDEF bufgctrl
            TIMESTAMP 2000 1 1 10 10 10
            RECTANGLE N 64 -288 320 0 
            LINE N 64 -256 0 -256 
            LINE N 64 -224 0 -224 
            LINE N 64 -192 0 -192 
            LINE N 64 -160 0 -160 
            LINE N 64 -128 0 -128 
            LINE N 64 -96 0 -96 
            LINE N 64 -64 0 -64 
            LINE N 64 -32 0 -32 
            LINE N 320 -256 384 -256 
        END BLOCKDEF
        BEGIN BLOCKDEF vcc
            TIMESTAMP 2000 1 1 10 10 10
            LINE N 64 -32 64 -64 
            LINE N 64 0 64 -32 
            LINE N 96 -64 32 -64 
        END BLOCKDEF
        BEGIN BLOCKDEF gnd
            TIMESTAMP 2000 1 1 10 10 10
            LINE N 64 -64 64 -96 
            LINE N 76 -48 52 -48 
            LINE N 68 -32 60 -32 
            LINE N 88 -64 40 -64 
            LINE N 64 -64 64 -80 
            LINE N 64 -128 64 -96 
        END BLOCKDEF
        BEGIN BLOCKDEF obufds
            TIMESTAMP 2000 1 1 10 10 10
            LINE N 0 -32 64 -32 
            LINE N 224 -16 116 -16 
            LINE N 224 -48 96 -48 
            LINE N 64 -64 128 -32 
            LINE N 128 -32 64 0 
            LINE N 64 0 64 -64 
            CIRCLE N 100 -20 108 -12 
            LINE N 108 -16 116 -16 
        END BLOCKDEF
        BEGIN BLOCKDEF buf
            TIMESTAMP 2000 1 1 10 10 10
            LINE N 0 -32 64 -32 
            LINE N 224 -32 128 -32 
            LINE N 64 0 128 -32 
            LINE N 128 -32 64 -64 
            LINE N 64 -64 64 0 
        END BLOCKDEF
        BEGIN BLOCKDEF NOAO_tblock
            TIMESTAMP 2010 10 6 16 5 1
            LINE N -4 -4 -1348 -4 
            LINE N -1348 -68 -1348 -4 
            LINE N -4 -68 -1348 -68 
            LINE N -4 -8 -4 -448 
            LINE N -4 -260 -1348 -260 
            LINE N -4 -132 -644 -132 
            LINE N -1348 -452 -4 -452 
            LINE N -1348 -68 -1348 -452 
            LINE N -1348 -132 -4 -132 
            LINE N -948 -132 -948 0 
            LINE N -548 -132 -548 -4 
        END BLOCKDEF
        BEGIN BLOCKDEF WbSlaveInterface_Ver207b
            TIMESTAMP 2011 5 31 16 44 41
            LINE N 0 -32 -64 -32 
            RECTANGLE N -64 -44 0 -20 
            LINE N 0 -64 -64 -64 
            LINE N 0 -96 -64 -96 
            RECTANGLE N -64 -108 0 -84 
            LINE N 0 -160 -64 -160 
            RECTANGLE N -64 -172 0 -148 
            LINE N 0 -224 -64 -224 
            RECTANGLE N -64 -236 0 -212 
            LINE N 0 -256 -64 -256 
            LINE N 0 -288 -64 -288 
            LINE N 0 -320 -64 -320 
            LINE N 0 -352 -64 -352 
            LINE N 0 -384 -64 -384 
            LINE N 0 -416 -64 -416 
            LINE N 0 -448 -64 -448 
            LINE N 464 -192 400 -192 
            RECTANGLE N 400 -204 464 -180 
            LINE N 464 -224 400 -224 
            LINE N 464 -256 400 -256 
            LINE N 464 -288 400 -288 
            LINE N 464 -320 400 -320 
            RECTANGLE N 400 -332 464 -308 
            LINE N 464 -352 400 -352 
            RECTANGLE N 400 -364 464 -340 
            LINE N 464 -384 400 -384 
            LINE N 464 -416 400 -416 
            LINE N 464 -448 400 -448 
            RECTANGLE N 0 -644 400 0 
            RECTANGLE N -64 -204 0 -180 
            LINE N 0 -192 -64 -192 
            RECTANGLE N -64 -140 0 -116 
            LINE N -64 -128 0 -128 
            RECTANGLE N 400 -140 464 -116 
            LINE N 400 -128 464 -128 
            RECTANGLE N 400 -108 464 -84 
            LINE N 464 -96 400 -96 
        END BLOCKDEF
        BEGIN BLOCKDEF LMK03000_Control_V221
            TIMESTAMP 2010 12 17 13 45 53
            LINE N 544 -272 608 -272 
            LINE N 608 -304 544 -304 
            LINE N 608 -336 544 -336 
            LINE N 608 -240 544 -240 
            LINE N 608 -208 544 -208 
            RECTANGLE N 544 -188 608 -164 
            LINE N 608 -176 544 -176 
            RECTANGLE N 544 -156 608 -132 
            LINE N 544 -144 608 -144 
            LINE N 0 -208 64 -208 
            LINE N 0 -256 64 -256 
            LINE N 0 -304 64 -304 
            LINE N 0 -352 64 -352 
            LINE N 0 -400 64 -400 
            LINE N 0 -112 64 -112 
            LINE N 64 -160 0 -160 
            LINE N 0 -16 64 -16 
            RECTANGLE N 64 -432 544 16 
            LINE N 544 -112 608 -112 
            LINE N 608 -16 544 -16 
            LINE N 608 -368 544 -368 
            LINE N 608 -400 544 -400 
        END BLOCKDEF
        BEGIN BLOCKDEF Clk_RegisterControl_Ver221
            TIMESTAMP 2012 3 23 16 24 13
            RECTANGLE N 64 -1280 544 0 
            RECTANGLE N 544 -1004 608 -980 
            LINE N 544 -992 608 -992 
            LINE N 544 -1024 608 -1024 
            LINE N 544 -1056 608 -1056 
            LINE N 544 -1088 608 -1088 
            RECTANGLE N 544 -1132 608 -1108 
            LINE N 608 -1120 544 -1120 
            RECTANGLE N 544 -1164 608 -1140 
            LINE N 608 -1152 544 -1152 
            LINE N 608 -1184 544 -1184 
            LINE N 608 -1216 544 -1216 
            LINE N 608 -1248 544 -1248 
            RECTANGLE N 544 -940 608 -916 
            LINE N 608 -928 544 -928 
            RECTANGLE N 544 -908 608 -884 
            LINE N 608 -896 544 -896 
            LINE N 544 -544 608 -544 
            LINE N 608 -512 544 -512 
            LINE N 544 -384 608 -384 
            RECTANGLE N 544 -396 608 -372 
            LINE N 544 -416 608 -416 
            RECTANGLE N 544 -428 608 -404 
            LINE N 544 -448 608 -448 
            LINE N 544 -480 608 -480 
            LINE N 608 -352 544 -352 
            LINE N 544 -576 608 -576 
            LINE N 544 -640 608 -640 
            LINE N 544 -608 608 -608 
            RECTANGLE N 544 -108 608 -84 
            LINE N 544 -96 608 -96 
            RECTANGLE N 544 -76 608 -52 
            LINE N 544 -64 608 -64 
            RECTANGLE N 544 -44 608 -20 
            LINE N 544 -32 608 -32 
        END BLOCKDEF
        BEGIN BLOCK CLK_DBG_DRV_7 buf
            PIN I DCLK_FEED
            PIN O ClkDbg(7)
        END BLOCK
        BEGIN BLOCK CLK_DBG_DRV_6 buf
            PIN I BCLK_FEED
            PIN O ClkDbg(6)
        END BLOCK
        BEGIN BLOCK CLK_DBG_DRV_5 buf
            PIN I CLK_CTRL_CS_N
            PIN O ClkDbg(5)
        END BLOCK
        BEGIN BLOCK CLK_DBG_DRV_4 buf
            PIN I CLK_CTRL_GOE
            PIN O ClkDbg(4)
        END BLOCK
        BEGIN BLOCK CLK_DBG_DRV_3 buf
            PIN I CLK_LOOP_LOCK
            PIN O ClkDbg(3)
        END BLOCK
        BEGIN BLOCK CLK_DBG_DRV_2 buf
            PIN I CLK_CTRL_SYNC
            PIN O ClkDbg(2)
        END BLOCK
        BEGIN BLOCK CLK_DBG_DRV_1 buf
            PIN I CLK_CTRL_DATA
            PIN O ClkDbg(1)
        END BLOCK
        BEGIN BLOCK CLK_DBG_DRV_0 buf
            PIN I CLK_CTRL_CLK
            PIN O ClkDbg(0)
        END BLOCK
        BEGIN BLOCK DCLK_RCVR ibufds
            PIN I DCLK_P
            PIN IB DCLK_N
            PIN O DCLK_FEED
        END BLOCK
        BEGIN BLOCK DCLK_BUFG bufg
            PIN I DCLK_FEED
            PIN O DCLK
        END BLOCK
        BEGIN BLOCK TCLK_RCVR ibufds
            PIN I TCLK_P
            PIN IB TCLK_N
            PIN O TCLK_FEED
        END BLOCK
        BEGIN BLOCK MCLK_RCVR ibufds
            PIN I MCLK_P
            PIN IB MCLK_N
            PIN O MCLK_FEED
        END BLOCK
        BEGIN BLOCK TCLK_BUFG bufg
            PIN I TCLK_FEED
            PIN O TCLK
        END BLOCK
        BEGIN BLOCK MCLK_BUFG bufg
            PIN I MCLK_FEED
            PIN O MCLK
        END BLOCK
        BEGIN BLOCK SYNCLK_OUT_RCVR ibufds
            PIN I SYNC_CLK_SNS_P
            PIN IB SYNC_CLK_SNS_N
            PIN O SYNC_CLK_SNS_FEED
        END BLOCK
        BEGIN BLOCK SYNCLK_OUT_BUFG bufg
            PIN I SYNC_CLK_SNS_FEED
            PIN O SYNC_OUT_CLK
        END BLOCK
        BEGIN BLOCK OCLK_RCVR ibufds
            PIN I OCLK_P
            PIN IB OCLK_N
            PIN O OCLK_IN
        END BLOCK
        BEGIN BLOCK SYNCLK_IN_RCVR ibufds
            PIN I SYNC_IN_CLK_P
            PIN IB SYNC_IN_CLK_N
            PIN O SYNC_IN_CLK_FEED
        END BLOCK
        BEGIN BLOCK OCLK_BUFG bufg
            PIN I OCLK_IN
            PIN O OCLK_IN_G
        END BLOCK
        BEGIN BLOCK OCLK_FF fd
            PIN C OCLK_IN_G
            PIN D OCLKX2_N
            PIN Q OCLKX2
        END BLOCK
        BEGIN BLOCK OCLK_FB_INVERT inv
            PIN I OCLKX2
            PIN O OCLKX2_N
        END BLOCK
        BEGIN BLOCK OCLKX2_BUFG bufg
            PIN I OCLKX2
            PIN O OCLKX2_FEED
        END BLOCK
        BEGIN BLOCK SLAVE_SLCT_INVERT inv
            PIN I SELECT_SLAVE_CLK
            PIN O SELECT_SLAVE_CLK_N
        END BLOCK
        BEGIN BLOCK BCLK_DRVR obufds
            PIN I BCLK_FEED
            PIN O BCLK_P
            PIN OB BCLK_N
        END BLOCK
        BEGIN BLOCK BCLK_MUX bufgctrl
            PIN I0 OCLKX2_FEED
            PIN I1 SYNC_IN_CLK_FEED
            PIN S0 SELECT_SLAVE_CLK_N
            PIN S1 SELECT_SLAVE_CLK
            PIN CE0 OEPullUp
            PIN CE1 OEPullUp
            PIN IGNORE0 IgnoreClamp
            PIN IGNORE1 IgnoreClamp
            PIN O BCLK_FEED
        END BLOCK
        BEGIN BLOCK XLXI_16 vcc
            PIN P OEPullUp
        END BLOCK
        BEGIN BLOCK XLXI_17 gnd
            PIN G IgnoreClamp
        END BLOCK
        BEGIN BLOCK SYSCLK_DRVR bufg
            PIN I BCLK_FEED
            PIN O SYS_CLK
        END BLOCK
        BEGIN BLOCK SYNCLK_IN_BUFG bufg
            PIN I SYNC_IN_CLK_FEED
            PIN O SYNC_IN_CLK
        END BLOCK
        BEGIN BLOCK SRC_EQ_0_DRVR buf
            PIN I SyncOutEq(0)
            PIN O SRC_EQ0
        END BLOCK
        BEGIN BLOCK SRC_EQ_1_DRVR buf
            PIN I SyncOutEq(1)
            PIN O SRC_EQ1
        END BLOCK
        BEGIN BLOCK SNK_EQ_0_DRVR buf
            PIN I SyncInEq(0)
            PIN O SNK_EQ0
        END BLOCK
        BEGIN BLOCK SNK_EQ_1_DRVR buf
            PIN I SyncInEq(1)
            PIN O SNK_EQ1
        END BLOCK
        BEGIN BLOCK SYNCLK_SLCT_1_DRVR buf
            PIN I SyncClkSlct(1)
            PIN O SYNC_CLK_SEL1
        END BLOCK
        BEGIN BLOCK SYNCLK_EN_1_DRVR buf
            PIN I SyncClkSlct(3)
            PIN O SYNC_CLK_EN1_N
        END BLOCK
        BEGIN BLOCK SYNCLK_SLCT_0_DRVR buf
            PIN I SyncClkSlct(0)
            PIN O SYNC_CLK_SEL0
        END BLOCK
        BEGIN BLOCK SYNCLK_EN_0_DRVR buf
            PIN I SyncClkSlct(2)
            PIN O SYNC_CLK_EN0_N
        END BLOCK
        BLOCK CLK_TitleBlock NOAO_tblock
        BEGIN BLOCK CLK_WbSlaveIfc WbSlaveInterface_Ver207b
            PIN CLK_I CLK_I
            PIN CYC_I CYC_I
            PIN RST_I RST_I
            PIN STB_I STB_I
            PIN WE_I WE_I
            PIN WrtAck ClkWbWrtAck
            PIN ErrorAck ClkWbErrAck
            PIN Busy ClkWbBusy
            PIN ADR_I(15:0) ADR_I(15:0)
            PIN DAT_I(31:0) DAT_I(31:0)
            PIN TGC_I(1:0) TGC_I(1:0)
            PIN TGD_I(3:0) TGD_I(3:0)
            PIN DataIn(31:0) ClkWbDataOut(31:0)
            PIN StatusIn(7:0) ClkWbStatusOut(7:0)
            PIN ACK_O ACK_O
            PIN ERR_O ERR_O
            PIN RTY_O RTY_O
            PIN SysClk ClkWbSysClkIn
            PIN Reset ClkWbResetIn
            PIN WriteEnable ClkWrtEnable
            PIN DAT_O(31:0) DAT_O(31:0)
            PIN TGD_O(3:0) TGD_O(3:0)
            PIN DataOut(31:0) ClkWbDataIn(31:0)
            PIN Address(15:0) ClkWbAddr(15:0)
            PIN StatusOut(31:0) ClkWbStatusIn(31:0)
        END BLOCK
        BEGIN BLOCK CLK_LMK3000_Control LMK03000_Control_V221
            PIN CLK_LOCK_DET CLK_LOOP_LOCK
            PIN DheIsSlave_i DheIsSlave
            PIN ClkSwitchEn_i ClkSwitchEnbl
            PIN ClkCfgWrt_i ClkCfgWrt
            PIN clkCfgLoad_i clkCfgLoad
            PIN ClkCfgAddr_i(3:0) ClkCfgAddr(3:0)
            PIN ClkCfgData_io(31:0) ClkCfgData(31:0)
            PIN CLK_CTRL_CLK CLK_CTRL_CLK
            PIN CLK_CTRL_DATA CLK_CTRL_DATA
            PIN CLK_CTRL_CS_N CLK_CTRL_CS_N
            PIN CLK_CTRL_SYNC CLK_CTRL_SYNC
            PIN CLK_CTRL_GOE CLK_CTRL_GOE
            PIN MCLK_SEL_N MCLK_SEL_N
            PIN DheClkMode_o DheClkMode
            PIN ClkLockOut_o CLK_LOCK
            PIN ClkLockDet_o ClkLockDetect
            PIN SYNC_CLK_SNS SYNC_IN_CLK_FEED
            PIN Reset ModuleReset
            PIN SysClk ModuleSysClk
        END BLOCK
        BEGIN BLOCK CLK_RegisterControl Clk_RegisterControl_Ver221
            PIN WbSysClk ClkWbSysClkIn
            PIN WbReset ClkWbResetIn
            PIN WbWriteEnable ClkWrtEnable
            PIN WbAddress(15:0) ClkWbAddr(15:0)
            PIN WbDataIn(31:0) ClkWbDataIn(31:0)
            PIN WbStatIn(31:0) ClkWbStatusIn(31:0)
            PIN WbWrtAck ClkWbWrtAck
            PIN WbErrAck ClkWbErrAck
            PIN WbBusy ClkWbBusy
            PIN WbDataOut(31:0) ClkWbDataOut(31:0)
            PIN WbStatOut(7:0) ClkWbStatusOut(7:0)
            PIN DheSlaveClkMode_i DheClkMode
            PIN LockDetect_i ClkLockDetect
            PIN ClkCfgData_io(31:0) ClkCfgData(31:0)
            PIN reset_o ModuleReset
            PIN Sysclk_o ModuleSysClk
            PIN DheIsSlave_o DheIsSlave
            PIN DheSlaveClkSwitchEn_o ClkSwitchEnbl
            PIN ClkCfgWrt_o ClkCfgWrt
            PIN clkCfgLoad_o clkCfgLoad
            PIN ClkCfgAddr_o(3:0) ClkCfgAddr(3:0)
            PIN SyncClkSelect_o(3:0) SyncClkSlct(3:0)
            PIN SyncOutEqualization_o(1:0) SyncOutEq(1:0)
            PIN SyncInEqualization_o(1:0) SyncInEq(1:0)
        END BLOCK
    END NETLIST
    BEGIN SHEET 1 5440 3520
        INSTANCE CLK_DBG_DRV_7 4432 1312 R0
        INSTANCE CLK_DBG_DRV_6 4432 1392 R0
        INSTANCE CLK_DBG_DRV_5 4432 1472 R0
        INSTANCE CLK_DBG_DRV_4 4432 1552 R0
        INSTANCE CLK_DBG_DRV_3 4432 1632 R0
        INSTANCE CLK_DBG_DRV_2 4432 1712 R0
        INSTANCE CLK_DBG_DRV_1 4432 1792 R0
        INSTANCE CLK_DBG_DRV_0 4432 1872 R0
        BUSTAP 4816 1280 4720 1280
        BUSTAP 4816 1360 4720 1360
        BUSTAP 4816 1440 4720 1440
        BUSTAP 4816 1520 4720 1520
        BUSTAP 4816 1600 4720 1600
        BUSTAP 4816 1680 4720 1680
        BUSTAP 4816 1760 4720 1760
        BUSTAP 4816 1840 4720 1840
        BEGIN BRANCH ClkDbg(7)
            WIRE 4656 1280 4704 1280
            WIRE 4704 1280 4720 1280
            BEGIN DISPLAY 4704 1280 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH ClkDbg(6)
            WIRE 4656 1360 4704 1360
            WIRE 4704 1360 4720 1360
            BEGIN DISPLAY 4704 1360 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH ClkDbg(5)
            WIRE 4656 1440 4704 1440
            WIRE 4704 1440 4720 1440
            BEGIN DISPLAY 4704 1440 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH ClkDbg(4)
            WIRE 4656 1520 4704 1520
            WIRE 4704 1520 4720 1520
            BEGIN DISPLAY 4704 1520 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH ClkDbg(3)
            WIRE 4656 1600 4704 1600
            WIRE 4704 1600 4720 1600
            BEGIN DISPLAY 4704 1600 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH ClkDbg(2)
            WIRE 4656 1680 4704 1680
            WIRE 4704 1680 4720 1680
            BEGIN DISPLAY 4704 1680 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH ClkDbg(1)
            WIRE 4656 1760 4704 1760
            WIRE 4704 1760 4720 1760
            BEGIN DISPLAY 4704 1760 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH ClkDbg(0)
            WIRE 4656 1840 4704 1840
            WIRE 4704 1840 4720 1840
            BEGIN DISPLAY 4704 1840 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH CLK_CTRL_CLK
            WIRE 4336 1840 4432 1840
            BEGIN DISPLAY 4336 1840 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH CLK_CTRL_DATA
            WIRE 4336 1760 4432 1760
            BEGIN DISPLAY 4336 1760 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH DCLK_FEED
            WIRE 4336 1280 4432 1280
            BEGIN DISPLAY 4336 1280 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH ClkDbg(7:0)
            WIRE 4816 1280 4816 1360
            WIRE 4816 1360 4816 1440
            WIRE 4816 1440 4816 1520
            WIRE 4816 1520 4816 1552
            WIRE 4816 1552 4816 1600
            WIRE 4816 1600 4816 1680
            WIRE 4816 1680 4816 1760
            WIRE 4816 1760 4816 1840
            WIRE 4816 1552 4992 1552
        END BRANCH
        IOMARKER 4992 1552 ClkDbg(7:0) R0 28
        BEGIN BRANCH DCLK_P
            WIRE 4080 2624 4160 2624
        END BRANCH
        BEGIN BRANCH DCLK_N
            WIRE 4080 2656 4160 2656
        END BRANCH
        INSTANCE DCLK_RCVR 4160 2672 R0
        INSTANCE DCLK_BUFG 4656 2672 R0
        BEGIN BRANCH DCLK_FEED
            WIRE 4384 2640 4512 2640
            WIRE 4512 2640 4656 2640
            BEGIN DISPLAY 4512 2640 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH DCLK
            WIRE 4880 2640 5056 2640
        END BRANCH
        BEGIN BRANCH TCLK_P
            WIRE 4080 2768 4160 2768
        END BRANCH
        BEGIN BRANCH MCLK_P
            WIRE 4080 2896 4160 2896
        END BRANCH
        BEGIN BRANCH TCLK_N
            WIRE 4080 2800 4160 2800
        END BRANCH
        BEGIN BRANCH MCLK_N
            WIRE 4080 2928 4144 2928
            WIRE 4144 2928 4160 2928
        END BRANCH
        INSTANCE TCLK_RCVR 4160 2816 R0
        INSTANCE MCLK_RCVR 4160 2944 R0
        INSTANCE TCLK_BUFG 4656 2816 R0
        BEGIN BRANCH TCLK_FEED
            WIRE 4384 2784 4512 2784
            WIRE 4512 2784 4656 2784
            BEGIN DISPLAY 4512 2784 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH MCLK_FEED
            WIRE 4384 2912 4512 2912
            WIRE 4512 2912 4656 2912
            BEGIN DISPLAY 4512 2912 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH TCLK
            WIRE 4880 2784 5056 2784
        END BRANCH
        BEGIN BRANCH MCLK
            WIRE 4880 2912 5056 2912
        END BRANCH
        INSTANCE MCLK_BUFG 4656 2944 R0
        BEGIN BRANCH SYNC_CLK_SNS_P
            WIRE 4080 2496 4160 2496
        END BRANCH
        BEGIN BRANCH SYNC_CLK_SNS_N
            WIRE 4080 2528 4160 2528
        END BRANCH
        BEGIN BRANCH SYNC_CLK_SNS_FEED
            WIRE 4384 2512 4512 2512
            WIRE 4512 2512 4544 2512
            BEGIN DISPLAY 4512 2512 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH SYNC_OUT_CLK
            WIRE 4768 2512 5040 2512
        END BRANCH
        INSTANCE SYNCLK_OUT_RCVR 4160 2544 R0
        INSTANCE SYNCLK_OUT_BUFG 4544 2544 R0
        IOMARKER 4080 2624 DCLK_P R180 28
        IOMARKER 4080 2656 DCLK_N R180 28
        IOMARKER 4080 2768 TCLK_P R180 28
        IOMARKER 4080 2896 MCLK_P R180 28
        IOMARKER 4080 2800 TCLK_N R180 28
        IOMARKER 5056 2784 TCLK R0 28
        IOMARKER 5056 2912 MCLK R0 28
        IOMARKER 5056 2640 DCLK R0 28
        IOMARKER 4080 2496 SYNC_CLK_SNS_P R180 28
        IOMARKER 4080 2528 SYNC_CLK_SNS_N R180 28
        IOMARKER 5040 2512 SYNC_OUT_CLK R0 28
        INSTANCE OCLK_RCVR 736 2928 R0
        INSTANCE SYNCLK_IN_RCVR 736 3248 R0
        BEGIN BRANCH OCLK_P
            WIRE 656 2880 736 2880
        END BRANCH
        BEGIN BRANCH SYNC_IN_CLK_P
            WIRE 656 3200 736 3200
        END BRANCH
        BEGIN BRANCH OCLK_N
            WIRE 656 2912 736 2912
        END BRANCH
        BEGIN BRANCH SYNC_IN_CLK_N
            WIRE 656 3232 736 3232
        END BRANCH
        INSTANCE OCLK_BUFG 1024 2928 R0
        BEGIN BRANCH OCLK_IN
            WIRE 960 2896 992 2896
            WIRE 992 2896 1024 2896
            BEGIN DISPLAY 992 2896 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH OCLK_IN_G
            WIRE 1248 2896 1392 2896
            WIRE 1392 2896 1424 2896
            BEGIN DISPLAY 1392 2896 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH OCLKX2_N
            WIRE 1424 2576 1424 2768
            WIRE 1424 2576 1472 2576
            WIRE 1472 2576 1488 2576
            BEGIN DISPLAY 1472 2576 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH OCLKX2
            WIRE 1712 2576 1776 2576
            WIRE 1776 2576 1824 2576
            WIRE 1824 2576 1872 2576
            WIRE 1824 2576 1824 2768
            WIRE 1808 2768 1824 2768
            BEGIN DISPLAY 1776 2576 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        INSTANCE SLAVE_SLCT_INVERT 1472 3344 R0
        BEGIN BRANCH SELECT_SLAVE_CLK_N
            WIRE 1696 3312 1872 3312
            WIRE 1872 3312 2096 3312
            WIRE 2096 2640 2288 2640
            WIRE 2096 2640 2096 3312
            BEGIN DISPLAY 1872 3312 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH SELECT_SLAVE_CLK
            WIRE 656 3392 1360 3392
            WIRE 1360 3392 2128 3392
            WIRE 1360 3312 1472 3312
            WIRE 1360 3312 1360 3392
            WIRE 2128 2672 2288 2672
            WIRE 2128 2672 2128 3392
        END BRANCH
        BEGIN BRANCH BCLK_P
            WIRE 640 2368 720 2368
        END BRANCH
        INSTANCE BCLK_DRVR 944 2416 M0
        BEGIN BRANCH BCLK_N
            WIRE 640 2400 720 2400
        END BRANCH
        BEGIN BRANCH BCLK_FEED
            WIRE 944 2176 1088 2176
            WIRE 1088 2176 1088 2384
            WIRE 1088 2384 1424 2384
            WIRE 1424 2384 2736 2384
            WIRE 2736 2384 2736 2576
            WIRE 944 2384 1088 2384
            WIRE 2672 2576 2736 2576
            BEGIN DISPLAY 1424 2384 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN INSTANCE BCLK_MUX 2288 2832 R0
        END INSTANCE
        BEGIN BRANCH OEPullUp
            WIRE 2208 2512 2208 2704
            WIRE 2208 2704 2208 2736
            WIRE 2208 2736 2288 2736
            WIRE 2208 2704 2256 2704
            WIRE 2256 2704 2288 2704
            BEGIN DISPLAY 2256 2704 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        INSTANCE XLXI_16 2144 2512 R0
        BEGIN BRANCH IgnoreClamp
            WIRE 2256 2768 2256 2800
            WIRE 2256 2800 2288 2800
            WIRE 2256 2800 2256 2864
            WIRE 2256 2768 2272 2768
            WIRE 2272 2768 2288 2768
            BEGIN DISPLAY 2272 2768 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        INSTANCE XLXI_17 2192 2992 R0
        INSTANCE SYSCLK_DRVR 944 2208 M0
        BEGIN BRANCH SYS_CLK
            WIRE 640 2176 720 2176
        END BRANCH
        INSTANCE SYNCLK_IN_BUFG 2320 3248 R0
        BEGIN BRANCH SYNC_IN_CLK
            WIRE 2544 3216 2688 3216
        END BRANCH
        IOMARKER 656 2880 OCLK_P R180 28
        IOMARKER 656 3200 SYNC_IN_CLK_P R180 28
        IOMARKER 656 2912 OCLK_N R180 28
        IOMARKER 656 3232 SYNC_IN_CLK_N R180 28
        IOMARKER 656 3392 SELECT_SLAVE_CLK R180 28
        IOMARKER 640 2368 BCLK_P R180 28
        IOMARKER 640 2400 BCLK_N R180 28
        IOMARKER 640 2176 SYS_CLK R180 28
        IOMARKER 2688 3216 SYNC_IN_CLK R0 28
        BEGIN BRANCH ClkWbSysClkIn
            WIRE 1216 400 1392 400
            WIRE 1392 400 1568 400
            BEGIN DISPLAY 1392 400 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH ClkWbResetIn
            WIRE 1216 432 1392 432
            WIRE 1392 432 1568 432
            BEGIN DISPLAY 1392 432 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH ClkWrtEnable
            WIRE 1216 464 1392 464
            WIRE 1392 464 1568 464
            BEGIN DISPLAY 1392 464 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH ClkWbAddr(15:0)
            WIRE 1216 496 1392 496
            WIRE 1392 496 1568 496
            BEGIN DISPLAY 1392 496 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH ClkWbDataIn(31:0)
            WIRE 1216 528 1392 528
            WIRE 1392 528 1568 528
            BEGIN DISPLAY 1392 528 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH ClkWbWrtAck
            WIRE 1216 560 1392 560
            WIRE 1392 560 1568 560
            BEGIN DISPLAY 1392 560 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH ClkWbErrAck
            WIRE 1216 592 1392 592
            WIRE 1392 592 1568 592
            BEGIN DISPLAY 1392 592 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH ClkWbBusy
            WIRE 1216 624 1392 624
            WIRE 1392 624 1568 624
            BEGIN DISPLAY 1392 624 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH ClkWbDataOut(31:0)
            WIRE 1216 656 1392 656
            WIRE 1392 656 1568 656
            BEGIN DISPLAY 1392 656 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH ClkWbStatusIn(31:0)
            WIRE 1216 720 1392 720
            WIRE 1392 720 1568 720
            BEGIN DISPLAY 1392 720 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH ClkWbStatusOut(7:0)
            WIRE 1216 752 1392 752
            WIRE 1392 752 1568 752
            BEGIN DISPLAY 1392 752 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH WE_I
            WIRE 576 400 688 400
        END BRANCH
        BEGIN BRANCH RST_I
            WIRE 576 432 688 432
        END BRANCH
        BEGIN BRANCH CLK_I
            WIRE 576 464 688 464
        END BRANCH
        BEGIN BRANCH STB_I
            WIRE 576 496 688 496
        END BRANCH
        BEGIN BRANCH ACK_O
            WIRE 576 528 688 528
        END BRANCH
        BEGIN BRANCH ERR_O
            WIRE 576 560 688 560
        END BRANCH
        BEGIN BRANCH RTY_O
            WIRE 576 592 688 592
        END BRANCH
        BEGIN BRANCH DAT_I(31:0)
            WIRE 576 624 688 624
        END BRANCH
        BEGIN BRANCH TGD_I(3:0)
            WIRE 576 656 688 656
        END BRANCH
        BEGIN BRANCH DAT_O(31:0)
            WIRE 576 688 688 688
        END BRANCH
        BEGIN BRANCH TGD_O(3:0)
            WIRE 576 720 688 720
        END BRANCH
        BEGIN BRANCH ADR_I(15:0)
            WIRE 576 752 688 752
        END BRANCH
        BEGIN BRANCH CYC_I
            WIRE 576 784 688 784
        END BRANCH
        BEGIN BRANCH TGC_I(1:0)
            WIRE 576 816 688 816
        END BRANCH
        IOMARKER 576 400 WE_I R180 28
        IOMARKER 576 432 RST_I R180 28
        IOMARKER 576 464 CLK_I R180 28
        IOMARKER 576 496 STB_I R180 28
        IOMARKER 576 528 ACK_O R180 28
        IOMARKER 576 560 ERR_O R180 28
        IOMARKER 576 592 RTY_O R180 28
        IOMARKER 576 624 DAT_I(31:0) R180 28
        IOMARKER 576 656 TGD_I(3:0) R180 28
        IOMARKER 576 688 DAT_O(31:0) R180 28
        IOMARKER 576 720 TGD_O(3:0) R180 28
        IOMARKER 576 752 ADR_I(15:0) R180 28
        IOMARKER 576 784 CYC_I R180 28
        IOMARKER 576 816 TGC_I(1:0) R180 28
        BEGIN BRANCH OCLKX2_FEED
            WIRE 2096 2576 2176 2576
            WIRE 2176 2576 2288 2576
            BEGIN DISPLAY 2176 2576 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH SYNC_IN_CLK_FEED
            WIRE 960 3216 1360 3216
            WIRE 1360 3216 1696 3216
            WIRE 1696 3216 2064 3216
            WIRE 2064 3216 2320 3216
            WIRE 1296 1392 1360 1392
            WIRE 1360 1392 1360 3216
            WIRE 2064 2608 2288 2608
            WIRE 2064 2608 2064 3216
            BEGIN DISPLAY 1696 3216 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH MCLK_SEL_N
            WIRE 656 1296 688 1296
        END BRANCH
        BEGIN BRANCH CLK_LOOP_LOCK
            WIRE 656 1248 688 1248
        END BRANCH
        BEGIN BRANCH CLK_CTRL_GOE
            WIRE 656 1200 688 1200
        END BRANCH
        BEGIN BRANCH CLK_CTRL_SYNC
            WIRE 656 1152 688 1152
        END BRANCH
        BEGIN BRANCH CLK_CTRL_CS_N
            WIRE 656 1104 688 1104
        END BRANCH
        BEGIN BRANCH CLK_CTRL_DATA
            WIRE 656 1056 688 1056
        END BRANCH
        BEGIN BRANCH CLK_CTRL_CLK
            WIRE 656 1008 688 1008
        END BRANCH
        BEGIN BRANCH CLK_LOCK
            WIRE 656 1392 688 1392
        END BRANCH
        BEGIN BRANCH ClkLockDetect
            WIRE 1296 1296 1440 1296
            WIRE 1440 1296 1568 1296
            BEGIN DISPLAY 1440 1296 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH DheClkMode
            WIRE 1296 1136 1440 1136
            WIRE 1440 1136 1568 1136
            BEGIN DISPLAY 1440 1136 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH DheIsSlave
            WIRE 1296 1072 1440 1072
            WIRE 1440 1072 1568 1072
            BEGIN DISPLAY 1440 1072 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH ClkSwitchEnbl
            WIRE 1296 1104 1440 1104
            WIRE 1440 1104 1568 1104
            BEGIN DISPLAY 1440 1104 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH ClkCfgWrt
            WIRE 1296 1168 1440 1168
            WIRE 1440 1168 1568 1168
            BEGIN DISPLAY 1440 1168 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH clkCfgLoad
            WIRE 1296 1200 1440 1200
            WIRE 1440 1200 1568 1200
            BEGIN DISPLAY 1440 1200 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH ClkCfgAddr(3:0)
            WIRE 1296 1232 1440 1232
            WIRE 1440 1232 1568 1232
            BEGIN DISPLAY 1440 1232 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH ClkCfgData(31:0)
            WIRE 1296 1264 1440 1264
            WIRE 1440 1264 1568 1264
            BEGIN DISPLAY 1440 1264 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH ModuleSysClk
            WIRE 1296 1008 1440 1008
            WIRE 1440 1008 1568 1008
            BEGIN DISPLAY 1440 1008 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH ModuleReset
            WIRE 1296 1040 1440 1040
            WIRE 1440 1040 1568 1040
            BEGIN DISPLAY 1440 1040 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        IOMARKER 656 1008 CLK_CTRL_CLK R180 28
        IOMARKER 656 1056 CLK_CTRL_DATA R180 28
        IOMARKER 656 1104 CLK_CTRL_CS_N R180 28
        IOMARKER 656 1152 CLK_CTRL_SYNC R180 28
        IOMARKER 656 1200 CLK_CTRL_GOE R180 28
        IOMARKER 656 1248 CLK_LOOP_LOCK R180 28
        IOMARKER 656 1296 MCLK_SEL_N R180 28
        IOMARKER 656 1392 CLK_LOCK R180 28
        BEGIN BRANCH SRC_EQ0
            WIRE 336 1776 480 1776
        END BRANCH
        BEGIN BRANCH SNK_EQ1
            WIRE 336 1920 720 1920
        END BRANCH
        BEGIN BRANCH SNK_EQ0
            WIRE 336 1872 480 1872
        END BRANCH
        BEGIN BRANCH SRC_EQ1
            WIRE 336 1824 720 1824
        END BRANCH
        BEGIN BRANCH SYNC_CLK_SEL1
            WIRE 336 1632 720 1632
        END BRANCH
        BEGIN BRANCH SYNC_CLK_EN0_N
            WIRE 336 1680 480 1680
        END BRANCH
        BEGIN BRANCH SYNC_CLK_EN1_N
            WIRE 336 1728 720 1728
        END BRANCH
        BEGIN BRANCH SYNC_CLK_SEL0
            WIRE 336 1584 480 1584
        END BRANCH
        BEGIN BRANCH SyncClkSlct(1)
            WIRE 944 1632 1024 1632
        END BRANCH
        BEGIN BRANCH SyncClkSlct(0)
            WIRE 704 1584 1024 1584
        END BRANCH
        BEGIN BRANCH SyncClkSlct(2)
            WIRE 704 1680 1024 1680
        END BRANCH
        BEGIN BRANCH SyncClkSlct(3)
            WIRE 944 1728 1024 1728
        END BRANCH
        BEGIN BRANCH SyncOutEq(0)
            WIRE 704 1776 1024 1776
        END BRANCH
        BEGIN BRANCH SyncOutEq(1)
            WIRE 944 1824 1024 1824
        END BRANCH
        BEGIN BRANCH SyncInEq(0)
            WIRE 704 1872 1024 1872
        END BRANCH
        BEGIN BRANCH SyncInEq(1)
            WIRE 944 1920 1024 1920
        END BRANCH
        INSTANCE SRC_EQ_0_DRVR 704 1808 M0
        INSTANCE SRC_EQ_1_DRVR 944 1856 M0
        INSTANCE SNK_EQ_0_DRVR 704 1904 M0
        INSTANCE SNK_EQ_1_DRVR 944 1952 M0
        INSTANCE SYNCLK_SLCT_1_DRVR 944 1664 M0
        INSTANCE SYNCLK_EN_1_DRVR 944 1760 M0
        INSTANCE SYNCLK_SLCT_0_DRVR 704 1616 M0
        INSTANCE SYNCLK_EN_0_DRVR 704 1712 M0
        BUSTAP 1120 1584 1024 1584
        BUSTAP 1120 1632 1024 1632
        BUSTAP 1120 1680 1024 1680
        BUSTAP 1120 1728 1024 1728
        BUSTAP 1120 1776 1024 1776
        BUSTAP 1120 1824 1024 1824
        BUSTAP 1120 1872 1024 1872
        BUSTAP 1120 1920 1024 1920
        IOMARKER 336 1776 SRC_EQ0 R180 28
        IOMARKER 336 1920 SNK_EQ1 R180 28
        IOMARKER 336 1872 SNK_EQ0 R180 28
        IOMARKER 336 1824 SRC_EQ1 R180 28
        IOMARKER 336 1632 SYNC_CLK_SEL1 R180 28
        IOMARKER 336 1680 SYNC_CLK_EN0_N R180 28
        IOMARKER 336 1728 SYNC_CLK_EN1_N R180 28
        IOMARKER 336 1584 SYNC_CLK_SEL0 R180 28
        INSTANCE OCLKX2_BUFG 1872 2608 R0
        INSTANCE OCLK_FF 1424 3024 R0
        INSTANCE OCLK_FB_INVERT 1712 2608 M0
        BEGIN BRANCH SyncClkSlct(3:0)
            WIRE 1120 1552 1120 1584
            WIRE 1120 1584 1120 1632
            WIRE 1120 1632 1120 1680
            WIRE 1120 1680 1120 1728
            WIRE 1120 1552 1568 1552
        END BRANCH
        BEGIN BRANCH SyncOutEq(1:0)
            WIRE 1120 1760 1120 1776
            WIRE 1120 1776 1120 1824
            WIRE 1120 1760 1152 1760
            WIRE 1152 1584 1568 1584
            WIRE 1152 1584 1152 1760
        END BRANCH
        BEGIN BRANCH SyncInEq(1:0)
            WIRE 1120 1856 1120 1872
            WIRE 1120 1872 1120 1920
            WIRE 1120 1856 1184 1856
            WIRE 1184 1616 1568 1616
            WIRE 1184 1616 1184 1856
        END BRANCH
        BEGIN DISPLAY 4512 3340 TEXT "Clock Services Module"
            FONT 44 "Arial"
        END DISPLAY
        BEGIN DISPLAY 4620 3420 TEXT "Peter Moore"
            FONT 28 "Arial"
        END DISPLAY
        BEGIN DISPLAY 4612 3484 TEXT 2.21
            FONT 28 "Arial"
        END DISPLAY
        BEGIN BRANCH CLK_CTRL_SYNC
            WIRE 4336 1680 4432 1680
            BEGIN DISPLAY 4336 1680 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH CLK_LOOP_LOCK
            WIRE 4336 1600 4432 1600
            BEGIN DISPLAY 4336 1600 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN INSTANCE CLK_TitleBlock 5440 3520 R0
        END INSTANCE
        BEGIN BRANCH CLK_CTRL_GOE
            WIRE 4320 1520 4432 1520
            BEGIN DISPLAY 4320 1520 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH BCLK_FEED
            WIRE 4304 1360 4432 1360
            BEGIN DISPLAY 4304 1360 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH CLK_CTRL_CS_N
            WIRE 4304 1440 4432 1440
            BEGIN DISPLAY 4304 1440 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN INSTANCE CLK_WbSlaveIfc 752 848 R0
        END INSTANCE
        IOMARKER 4080 2928 MCLK_N R180 28
        BEGIN INSTANCE CLK_LMK3000_Control 688 1408 R0
        END INSTANCE
        BEGIN INSTANCE CLK_RegisterControl 2176 1648 M0
        END INSTANCE
    END SHEET
END SCHEMATIC
